## ros-foxy-ublox-serialization 2.1.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(ublox_serialization)

find_package(ament_cmake REQUIRED)

install(DIRECTORY include/
  DESTINATION include
)

ament_export_include_directories(include)

ament_package()

=== debian/changelog ===
ros-foxy-ublox-serialization (2.1.0-1focal) focal; urgency=high



 -- Veronica Lane <vmlane@alum.mit.edu>  Wed, 13 Apr 2022 00:00:00 -0000

ros-foxy-ublox-serialization (2.0.0-1focal) focal; urgency=high

  * Initial ROS 2 port to Dashing
  * Fixes pointed out by clang-tidy.
  * Make sure to initialize checksum properly.
  * Port of ublox_serialization to ROS 2.
  * Start ROS 2 port by COLCON_IGNORE everything.
  * Remove unused vector serialization.
  * Move serialization into the ublox_serialization module.
  * Move the directory structure around just a bit.
  * Remove boost from serialization.
  * Remove trailing whitespace in all files.
  * Rename header files to have .hpp extension.
  * Contributors: Chao Qu, Chris Lalancette

 -- Veronica Lane <vmlane@alum.mit.edu>  Tue, 13 Oct 2020 00:00:00 -0000

ros-foxy-ublox-serialization (1.2.0-1focal) focal; urgency=high



 -- Veronica Lane <vmlane@alum.mit.edu>  Tue, 19 Nov 2019 00:00:00 -0000

ros-foxy-ublox-serialization (1.1.2-1focal) focal; urgency=high

  * README and package xml updates
  * Fixed bug with enabling INF messages. Changed how messages which update fix are enabled and changed name of subscribe param namespace to publish.
  * Added doxygen comments and made minor cleanup changes.
  * Added doxygen comments
  * Contributors: Veronica Lane

 -- Veronica Lane <vmlane@alum.mit.edu>  Wed, 02 Aug 2017 00:00:00 -0000

ros-foxy-ublox-serialization (1.1.0-1focal) focal; urgency=high

  * Updated package xmls with new version number and corrected my email address. Also updated readme to include information about new version plus new parameter
  * changed name of macro for clarity
  * changed receive message error print statements to only print in debug mode
  * Added additional MON messages. Received INF messages are now printed to the ROS console. Also added constants and comments to serialization and a new macro so 1 message can have multiple class, message ID pairs.
  * Contributors: Veronica Lane

 -- Veronica Lane <vmlane@alum.mit.edu>  Mon, 17 Jul 2017 00:00:00 -0000

ros-foxy-ublox-serialization (1.0.0-1focal) focal; urgency=high

  * added myself as maintainer to package xmls and updated version numbers of modified packages.
  * formatting
  * Formatting of copyright so it's <80 char and changed std::cout in Async worker to ROS_INFO messages
  * Update CfgGNSS message and serialization which now publishes and receives blocks and reads and configures all GNSS settings at once. Updated MonVER message and serialization, MonVER settings are displayed during initialization, including extension chars. Changed various std::cout messages to ROS_INFO and ROS_ERROR messages.
  * Contributors: Veronica Lane

 -- Veronica Lane <vmlane@alum.mit.edu>  Fri, 23 Jun 2017 00:00:00 -0000

ros-foxy-ublox-serialization (0.0.5-1focal) focal; urgency=high



 -- Veronica Lane <vmlane@alum.mit.edu>  Sat, 06 Aug 2016 00:00:00 -0000

ros-foxy-ublox-serialization (0.0.4-1focal) focal; urgency=high

  * Add install targets
  * Contributors: Kartik Mohta

 -- Veronica Lane <vmlane@alum.mit.edu>  Mon, 08 Dec 2014 00:00:00 -0000

ros-foxy-ublox-serialization (0.0.3-1focal) focal; urgency=high



 -- Veronica Lane <vmlane@alum.mit.edu>  Sat, 18 Oct 2014 00:00:00 -0000

ros-foxy-ublox-serialization (0.0.2-1focal) focal; urgency=high



 -- Veronica Lane <vmlane@alum.mit.edu>  Fri, 03 Oct 2014 00:00:00 -0000

ros-foxy-ublox-serialization (0.0.1-1focal) focal; urgency=high



 -- Veronica Lane <vmlane@alum.mit.edu>  Fri, 15 Aug 2014 00:00:00 -0000

ros-foxy-ublox-serialization (0.0.0-1focal) focal; urgency=high

  * ublox: first commit
  * Contributors: Chao Qu

 -- Veronica Lane <vmlane@alum.mit.edu>  Mon, 23 Jun 2014 00:00:00 -0000

=== debian/control ===
Source: ros-foxy-ublox-serialization
Section: misc
Priority: optional
Maintainer: Veronica Lane <vmlane@alum.mit.edu>
Build-Depends: debhelper (>= 9.0.0), ros-foxy-ament-cmake, ros-foxy-ros-workspace
Homepage: http://ros.org/wiki/ublox
Standards-Version: 3.9.2

Package: ros-foxy-ublox-serialization
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-foxy-ros-workspace
Description: ublox_serialization provides header files for serialization of ROS messages to and from u-blox message format.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/foxy/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/foxy" \
		-DAMENT_PREFIX_PATH="/opt/ros/foxy" \
		-DCMAKE_PREFIX_PATH="/opt/ros/foxy"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-foxy-ublox-serialization//opt/ros/foxy/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_install
